## org.eclipse.datatools.modelbase.sql.constraints.util
Class SQLConstraintsSwitch

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.constraints.util.SQLConstraintsSwitch

    public class SQLConstraintsSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `SQLConstraintsPackage`

Constructor Summary
`SQLConstraintsSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseAssertion(Assertion object)` Returns the result of interpreting the object as an instance of 'Assertion'.
`java.lang.Object` `caseCheckConstraint(CheckConstraint object)` Returns the result of interpreting the object as an instance of 'Check Constraint'.
`java.lang.Object` `caseConstraint(Constraint object)` Returns the result of interpreting the object as an instance of 'Constraint'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseForeignKey(ForeignKey object)` Returns the result of interpreting the object as an instance of 'Foreign Key'.
`java.lang.Object` `caseIndex(Index object)` Returns the result of interpreting the object as an instance of 'Index'.
`java.lang.Object` `caseIndexMember(IndexMember object)` Returns the result of interpreting the object as an instance of 'Index Member'.
`java.lang.Object` `casePrimaryKey(PrimaryKey object)` Returns the result of interpreting the object as an instance of 'Primary Key'.
`java.lang.Object` `caseReferenceConstraint(ReferenceConstraint object)` Returns the result of interpreting the object as an instance of 'Reference Constraint'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseTableConstraint(TableConstraint object)` Returns the result of interpreting the object as an instance of 'Table Constraint'.
`java.lang.Object` `caseUniqueConstraint(UniqueConstraint object)` Returns the result of interpreting the object as an instance of 'Unique Constraint'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLConstraintsSwitch

    public SQLConstraintsSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAssertion

    public java.lang.Object caseAssertion(Assertion object)

  Returns the result of interpreting the object as an instance of 'Assertion'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Assertion'.
  See Also:
    `doSwitch(EObject)`

### caseConstraint

    public java.lang.Object caseConstraint(Constraint object)

  Returns the result of interpreting the object as an instance of 'Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseTableConstraint

    public java.lang.Object caseTableConstraint(TableConstraint object)

  Returns the result of interpreting the object as an instance of 'Table Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseReferenceConstraint

    public java.lang.Object caseReferenceConstraint(ReferenceConstraint object)

  Returns the result of interpreting the object as an instance of 'Reference Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Reference Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseCheckConstraint

    public java.lang.Object caseCheckConstraint(CheckConstraint object)

  Returns the result of interpreting the object as an instance of 'Check Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Check Constraint'.
  See Also:
    `doSwitch(EObject)`

### caseForeignKey

    public java.lang.Object caseForeignKey(ForeignKey object)

  Returns the result of interpreting the object as an instance of 'Foreign Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Foreign Key'.
  See Also:
    `doSwitch(EObject)`

### caseUniqueConstraint

    public java.lang.Object caseUniqueConstraint(UniqueConstraint object)

  Returns the result of interpreting the object as an instance of 'Unique Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unique Constraint'.
  See Also:
    `doSwitch(EObject)`

### casePrimaryKey

    public java.lang.Object casePrimaryKey(PrimaryKey object)

  Returns the result of interpreting the object as an instance of 'Primary Key'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Primary Key'.
  See Also:
    `doSwitch(EObject)`

### caseIndex

    public java.lang.Object caseIndex(Index object)

  Returns the result of interpreting the object as an instance of 'Index'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index'.
  See Also:
    `doSwitch(EObject)`

### caseIndexMember

    public java.lang.Object caseIndexMember(IndexMember object)

  Returns the result of interpreting the object as an instance of 'Index Member'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Index Member'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`